PETSc version 3.15.5
Fix/Edit manual page

# KSPGetApplicationContext

Gets the user-defined context for the linear solver.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetApplicationContext(KSP ksp,void *usrP)

Not Collective

### Input Parameter

| ksp | - KSP context

### Output Parameter

| usrP | - user context

### Fortran Notes

To use this from Fortran you must write a Fortran interface definition for this function that tells Fortran the Fortran derived data type that you are passing in as the ctx argument.

### See Also

KSPSetApplicationContext()

### Level

intermediate

### Location

src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages